This is a little example about bcrypt

If you want use it with mongoose you can look this article:
https://www.mongodb.com/blog/post/password-authentication-with-mongoose-part-2

With that you can see how to add it to your project

bcrypt
https://www.npmjs.com/package/bcrypt
